{"openapi":"3.0.4","info":{"title":"Returns a list of applicable instrument events based on the holdings of the portfolios and date range specified in the query.","description":"Returns a list of applicable instrument events based on the holdings of the portfolios and date range specified in the query.","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/api"}],"paths":{"/api/instrumentevents/$queryApplicableInstrumentEvents":{"post":{"tags":["Instrument Events"],"summary":"Returns a list of applicable instrument events based on the holdings of the portfolios and date range specified in the query.","description":"Returns a list of applicable instrument events based on the holdings of the portfolios and date range specified in the query.","operationId":"QueryApplicableInstrumentEvents","parameters":[{"name":"asAt","in":"query","description":"The as at time to use.","schema":{"type":"string","format":"date-time"},"x-nullable":true},{"name":"limit","in":"query","description":"Optional. When paginating, limit the number of returned results to this many. If not specified, a default\r\nof 100 is used.","schema":{"type":"integer","format":"int32","default":100},"x-nullable":true},{"name":"page","in":"query","description":"Optional. The pagination token to use to continue listing items from a previous call. Page values are\r\nreturn from list calls, and must be supplied exactly as returned. Additionally, when specifying this","schema":{"maxLength":500,"minLength":1,"pattern":"^[a-zA-Z0-9\\+/]*={0,3}$","type":"string"}}],"requestBody":{"description":"The filter parameters used to retrieve applicable instrument events.","content":{"application/json-patch+json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/QueryApplicableInstrumentEventsRequest"},"example":{"windowStart":"2015-01-01T00:00:00.0000000+00:00","windowEnd":"2030-01-01T00:00:00.0000000+00:00","effectiveAt":"2022-01-01T00:00:00.0000000+00:00","portfolioEntityIds":[{"scope":"portfolioScope","code":"portfolioCode","portfolioEntityType":"SinglePortfolio"}],"forecastingRecipeId":{"scope":"default","code":"default"}}},"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/QueryApplicableInstrumentEventsRequest"},"example":{"windowStart":"2015-01-01T00:00:00.0000000+00:00","windowEnd":"2030-01-01T00:00:00.0000000+00:00","effectiveAt":"2022-01-01T00:00:00.0000000+00:00","portfolioEntityIds":[{"scope":"portfolioScope","code":"portfolioCode","portfolioEntityType":"SinglePortfolio"}],"forecastingRecipeId":{"scope":"default","code":"default"}}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/QueryApplicableInstrumentEventsRequest"},"example":{"windowStart":"2015-01-01T00:00:00.0000000+00:00","windowEnd":"2030-01-01T00:00:00.0000000+00:00","effectiveAt":"2022-01-01T00:00:00.0000000+00:00","portfolioEntityIds":[{"scope":"portfolioScope","code":"portfolioCode","portfolioEntityType":"SinglePortfolio"}],"forecastingRecipeId":{"scope":"default","code":"default"}}},"application/*+json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/QueryApplicableInstrumentEventsRequest"},"example":{"windowStart":"2015-01-01T00:00:00.0000000+00:00","windowEnd":"2030-01-01T00:00:00.0000000+00:00","effectiveAt":"2022-01-01T00:00:00.0000000+00:00","portfolioEntityIds":[{"scope":"portfolioScope","code":"portfolioCode","portfolioEntityType":"SinglePortfolio"}],"forecastingRecipeId":{"scope":"default","code":"default"}}}}},"responses":{"200":{"description":"Applicable Instrument Events","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/ResourceListOfApplicableInstrumentEvent"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/ResourceListOfApplicableInstrumentEvent"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/ResourceListOfApplicableInstrumentEvent"}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"Stable"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}